#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../Scripts/software.fish"

    function installSW
        configureSW
    end

    function configureSW
        sed -i \
            -e "/^\[options\]$/,/^\[/{" \
                -e 's/^#\?\(Color\)$/\1/;' \
                -e '/^# Misc Options$/{' (
                    # -e "a ILoveCandy"
                ) \
                -e "};" \
            -e '/^#\?\[multilib\]$/,/^$/{ s/^#\?\(.*\)$/\1/; }' \
            /etc/pacman.conf

        pacinst -Sy
    end

    runInstaller $argv
end
