#!/bin/env fish
begin
    set -l dir (status dirname)

    function initialize -V dir
        source "$dir/../Software/base-devel/main.fish"
        source "$dir/../Software/pacman/main.fish"
        "$dir/../Software/yay/install.sh"
    end

    if not type -q installSoftware
        function installSoftware -V dir
            "$dir/../Collections/personal.sh";
        end
    end

    source "$dir/../../Common/OS/install.fish"
end
